# Bio.PDB.Superimposer module

Superimpose two structures.

class Bio.PDB.Superimposer.Superimposer

  Bases: `object`

  Rotate/translate one set of atoms on top of another to minimize RMSD.

  __init__()

    Initialize the class.

  set_atoms(fixed, moving)

    Prepare translation/rotation to minimize RMSD between atoms.

    Put (translate/rotate) the atoms in fixed on the atoms in moving, in such a way that the RMSD is minimized.

    Parameters:

      - fixed – list of (fixed) atoms

      - moving – list of (moving) atoms

  apply(atom_list)

    Rotate/translate a list of atoms.

  __firstlineno__ = 16
  __static_attributes__ = ('rms', 'rotran')

Biopython v: 1.85

Versions
  Previous
  Latest
  Develop

Biopython Project
  Homepage
  On GitHub